target=test
libvroot=../..
cc=gcc
ld=gcc
cflags=-c -O2 -I$(libvroot)/include
libv=$(libvroot)/lib/win32/LibV.a
rtl_libs=-luser32 -lkernel32 -lopengl32 -lgdi32
all:$(target).exe
.c.o:
	$(cc) $(cflags) $*.c
$(target).exe:$(target).o $(other_objects) $(other_libs) $(libv)
	$(ld) $(target).o $(other_objects) $(ldflags) $(rtl_libs) $(other_libs) $(libv) -o $(target).exe
clean:
	rm $(target).exe
	rm $(target).o
